curl --request GET \
--url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/organisations/{organisationUuid}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/organisations/{organisationUuid}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snitcher.com/v1/workspaces/{workspaceUuid}/organisations/{organisationUuid}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"last_page": 10,
"per_page": 15,
"total": 150,
"next_page_url": "https://api.example.com/v1/workspaces?page=2",
"prev_page_url": null,
"first_page_url": "https://api.example.com/v1/workspaces?page=1",
"last_page_url": "https://api.example.com/v1/workspaces?page=10",
"path": "https://api.example.com/v1/workspaces",
"from": 1,
"to": 15,
"data": [
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"organisation_uuid": "123e4567-e89b-12d3-a456-426614174000",
"visitor_uuid": "123e4567-e89b-12d3-a456-426614174000",
"started_at": "2021-01-01T00:00:00Z",
"ended_at": "2021-01-01T00:00:00Z",
"location": {
"country": "US",
"state": "California",
"city": "Los Angeles",
"latitude": 34.0522,
"longitude": -118.2437
},
"browser": "Chrome",
"referrer": "https://google.com",
"device_type": "mobile",
"views": [
{
"visited_at": "2021-01-01T00:00:00Z",
"time_on_page": 0,
"url": "https://acme.com/page?foo=bar#baz"
}
],
"events": [
{
"event_type": "pageview",
"url": "https://acme.com/pricing",
"triggered_at": "2021-01-01T00:00:00Z",
"time_on_page": 45,
"form_id": "contact-form",
"form_name": "Contact Form",
"time_spent": 54,
"fields": [
{
"name": "<string>",
"value": "<string>"
}
],
"name": "plan_selected",
"properties": [
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}
],
"success": true
}Overview of the sessions of an organisation
Authorizations
Enter your personal access token (PAT) to authenticate
Path Parameters
The UUID of the workspace
"123e4567-e89b-12d3-a456-426614174000"
The UUID of the organisation
"123e4567-e89b-12d3-a456-426614174000"
Query Parameters
The page number for pagination
1
The number of sessions per page (1-1000)
1 <= x <= 100010
The specific date to filter sessions.
"2025-03-01"
The start date for filtering sessions. Can only be used if date is not provided.
"2025-03-01"
The end date for filtering sessions. Can only be used if date is not provided.
"2025-03-10"
Filters sessions where the visited URL contains the given string.
"checkout"
Filters sessions where the referrer contains the given string.
"google.com"
Only include sessions of this visitor (client) ID — the visitor_uuid returned on every session, and the value the tracker sends as anonymous_id. Lets a client-side ID minted at conversion time be resolved back to the sessions, and therefore the organisation, it belongs to.
"123e4567-e89b-12d3-a456-426614174000"
Response
List of sessions
1
10
15
150
"https://api.example.com/v1/workspaces?page=2"
null
"https://api.example.com/v1/workspaces?page=1"
"https://api.example.com/v1/workspaces?page=10"
"https://api.example.com/v1/workspaces"
1
15
Show child attributes
Show child attributes
true